html {
    font-size: 14px;
}

body {
    font-size: var(--font-size-base);
}

html, body {
    color: var(--color-text);
    line-height: var(--line-height-base);
    font-family: sans-serif !important;
    font-family: roboto, sans-serif !important;
    font-family: var(--text-fontfamily), roboto, sans-serif !important;
}

h1:focus {
    outline: none;
}

.h1, .h2, .h3, .h4, .h5, .h6, .title, .title-font,
h1, h2, h3, h4, h5, h6 {
    color: var(--color-text);
    font-family: sans-serif !important;
    font-family: roboto, sans-serif !important;
    font-family: var(--title-fontfamily), roboto, sans-serif !important;
    margin: unset !important;
}

/* Überschriften */
.h1, h1 {
    font-size: 2.5rem;
    font-weight: var(--font-weight-bold);
    outline: none;
}

.h2, h2 {
    font-size: 2rem;
    font-weight: var(--font-weight-bold);
}

.h3, h3 {
    font-size: 1.75rem;
    font-weight: var(--font-weight-bold);
}

.h4, h4 {
    font-size: 1.5rem;
}

.h5, h5 {
    font-size: 1.25rem;
}

.h6, h6 {
    font-size: 1rem;
    font-weight: 500;
}

a {
    position: relative;
    text-decoration: none;
    color: var(--primary-link-color) !important;
    cursor: pointer;
}

    a.readonly {
        color: gray !important;
        cursor: default;
    }

    a:focus {
        outline: unset;
    }

    a:not(.readonly)::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        height: 1px;
        width: 0%;
        background-color: var(--primary-link-color);
        transition: width 0.2s ease-in-out;
        z-index: -1;
        pointer-events: none;
    }

    a:not(.readonly):hover::after,
    a:not(.readonly):focus::after {
        width: 100%;
    }

    a.animated {
        position: relative;
        text-decoration: none;
        color: var(--primary-link-color) !important;
        cursor: pointer;
    }

        a.animated:focus {
            outline: unset;
        }

        a.animated::after {
            content: "";
            position: absolute;
            left: 0;
            bottom: 0;
            height: 1px;
            width: 0%;
            background-color: var(--primary-link-color);
            transition: width 0.2s ease-in-out;
            z-index: 0;
            pointer-events: none;
        }

        a.animated:hover::after,
        a.animated:focus::after {
            width: 100%;
        }

ul {
    list-style: none;
}

p {
    margin: 0;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: var(--error-color);
    font-size: 0.875rem;
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-button-container {
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
    justify-content: end;
    gap: 1rem;
}

    .form-button-container.small {
        max-width: 600px;
    }

    .form-button-container.default {
        max-width: 800px;
    }

    .form-button-container.large {
        max-width: 1000px;
    }

    .form-button-container.very-large {
        max-width: 1200px;
    }

.form-item-container {
    width: 100%;
}

    .form-item-container.small {
        max-width: 600px;
    }

    .form-item-container.default {
        max-width: 800px;
    }

    .form-item-container.large {
        max-width: 1000px;
    }

    .form-item-container.very-large {
        max-width: 1200px;
    }

    .form-item-container:has(.form-item) {
        display: flex;
        flex-flow: nowrap;
        gap: 1rem;
    }

    .form-item-container .form-item {
        width: 100%;
    }

        .form-item-container .form-item.form-item-center {
            align-self: center;
            align-content: center;
            text-align: center;
            place-items: center;
        }

        .form-item-container .form-item.form-item-5 {
            width: 5%;
        }

        .form-item-container .form-item.form-item-10 {
            width: 10%;
        }

        .form-item-container .form-item.form-item-15 {
            width: 15%;
        }

        .form-item-container .form-item.form-item-20 {
            width: 20%;
        }

        .form-item-container .form-item.form-item-25 {
            width: 25%;
        }

        .form-item-container .form-item.form-item-30 {
            width: 30%;
        }

        .form-item-container .form-item.form-item-33 {
            width: calc(100% / 3);
        }

        .form-item-container .form-item.form-item-35 {
            width: 35%;
        }

        .form-item-container .form-item.form-item-40 {
            width: 40%;
        }

        .form-item-container .form-item.form-item-45 {
            width: 45%;
        }

        .form-item-container .form-item.form-item-50 {
            width: 50%;
        }

        .form-item-container .form-item.form-item-55 {
            width: 55%;
        }

        .form-item-container .form-item.form-item-60 {
            width: 30%;
        }

        .form-item-container .form-item.form-item-35 {
            width: 35%;
        }

        .form-item-container .form-item.form-item-40 {
            width: 40%;
        }

        .form-item-container .form-item.form-item-45 {
            width: 45%;
        }

        .form-item-container .form-item.form-item-50 {
            width: 50%;
        }

        .form-item-container .form-item.form-item-55 {
            width: 55%;
        }

        .form-item-container .form-item.form-item-60 {
            width: 60%;
        }

        .form-item-container .form-item.form-item-65 {
            width: 65%;
        }

        .form-item-container .form-item.form-item-70 {
            width: 70%;
        }

        .form-item-container .form-item.form-item-75 {
            width: 75%;
        }

        .form-item-container .form-item.form-item-80 {
            width: 80%;
        }

        .form-item-container .form-item.form-item-85 {
            width: 85%;
        }

        .form-item-container .form-item.form-item-90 {
            width: 90%;
        }

        .form-item-container .form-item.form-item-95 {
            width: 95%;
        }

        .form-item-container .form-item-label,
        .form-item-container .form-item .form-item-label {
            width: 100%;
            margin-bottom: 0.25rem;
            font-style: italic;
            font-size: var(--font-size-smaller);
            color: var(--color-text-light);
        }

        .form-item-container .form-item-input,
        .form-item-container .form-item .form-item-input {
            width: 100%;
        }


            .form-item-container .form-item-input.flex,
            .form-item-container .form-item .form-item-input.flex {
                display: flex;
                flex-flow: nowrap;
                gap: 0px;
            }

    .form-item-container .form-item-row {
        display: flex;
        flex-flow: nowrap;
        gap: 0px;
    }

        .form-item-container .form-item-row:has(> :nth-child(2)) > :not(:first-child):not(:last-child) {
            border-radius: 0px !important;
        }

        .form-item-container .form-item-row:has(> :nth-child(2)) > :first-child {
            border-top-right-radius: 0px !important;
            border-bottom-right-radius: 0px !important;
        }

        .form-item-container .form-item-row:has(> :nth-child(2)) > :last-child {
            border-top-left-radius: 0px !important;
            border-bottom-left-radius: 0px !important;
        }

.form-separator {
    height: 2px;
    width: 100%;
    background-color: var(--primary-border-color);
}

.remove-left-border-radius {
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
}

.remove-right-border-radius {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

.primary-interactive {
    border: 1px solid var(--primary-border-color);
    background-color: var(--primary-background-color);
    color: var(--primary-font-color);
    cursor: pointer;
}

    .primary-interactive:hover {
        border-color: var(--primary-border-color-hover);
        background-color: var(--primary-background-color-hover);
        color: var(--primary-font-color-hover);
    }

    .primary-interactive:active {
        border-color: var(--primary-border-color-active);
        background-color: var(--primary-background-color-active);
        color: var(--primary-font-color-active);
    }

        .primary-interactive:active:hover {
            border-color: var(--primary-border-color-active-hover);
            background-color: var(--primary-background-color-active-hover);
            color: var(--primary-font-color-active-hover);
        }

    .primary-interactive:focus {
        border-color: var(--primary-border-color-focus);
    }

.secondary-interactive {
    border: 1px solid var(--secondary-border-color);
    background-color: var(--secondary-background-color);
    color: var(--secondary-font-color);
    cursor: pointer;
}

    .secondary-interactive:hover {
        border-color: var(--secondary-border-color-hover);
        background-color: var(--secondary-background-color-hover);
        color: var(--secondary-font-color-hover);
    }

    .secondary-interactive:active {
        border-color: var(--secondary-border-color-active);
        background-color: var(--secondary-background-color-active);
        color: var(--secondary-font-color-active);
    }

        .secondary-interactive:active:hover {
            border-color: var(--secondary-border-color-active-hover);
            background-color: var(--secondary-background-color-active-hover);
            color: var(--secondary-font-color-active-hover);
        }

    .secondary-interactive:focus {
        border-color: var(--secondary-border-color-focus);
    }

.btn-primary-custom {
    background-color: var(--primary-background-color-active);
    border: none;
    padding: 12px 30px;
    border-radius: var(--default-border-radius);
    color: white;
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    transition: all 0.3s;
}

    .btn-primary-custom:hover {
        background-color: var(--primary-background-color-active-hover);
        color: white;
        transform: translateY(-2px);
    }

.btn-secondary-custom {
    background-color: transparent;
    border: 2px solid white;
    padding: 10px 30px;
    border-radius: var(--default-border-radius);
    color: white;
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    transition: all 0.3s;
}

    .btn-secondary-custom:hover {
        background-color: white;
        color: var(--primary-background-color);
    }

.btn-tertiary-custom {
    border: none;
    padding: 10px 30px;
    border-radius: var(--default-border-radius);
    color: var(--primary-background-color-active);
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    transition: all 0.3s;
}

    .btn-tertiary-custom:hover {
        color: var(--primary-background-color-active-hover);
    }

.tabshell-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: unset;
    overflow: hidden;
}

    .tabshell-container .height-set-100przt {
        height: 100%;
    }

    .tabshell-container .tabshell-header {
        position: sticky;
        top: 0;
        width: 100%;
        min-height: 48px;
        display: flex;
        justify-content: flex-start;
        flex-wrap: wrap;
        border-bottom: 1px solid var(--primary-border-color);
        background-color: white;
        color: var(--primary-background-color);
        padding: 0.75rem 1rem;
        padding-bottom: unset;
        gap: 0.25rem;
        overflow: hidden;
    }

        .tabshell-container .tabshell-header .tabshell-header-item {
            display: flex;
            max-width: 100%;
            justify-content: flex-start;
            align-items: center;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: break-spaces;
            text-align: center;
            font-size: 0.9rem;
            gap: 0.25rem;
            padding: 0.25rem 1rem;
            border-radius: var(--border-radius) var(--border-radius) 0rem 0rem;
            border: 1px solid var(--primary-border-color);
            background-color: white;
            color: var(--primary-background-color);
            border-bottom: unset;
            cursor: pointer;
            user-select: none;
            -ms-user-select: none;
            -moz-user-select: none;
            -webkit-user-select: none;
        }

            .tabshell-container .tabshell-header .tabshell-header-item:hover {
                border-color: var(--primary-border-color-hover);
                background-color: var(--primary-background-color-hover);
                color: var(--primary-font-color-hover);
            }

            .tabshell-container .tabshell-header .tabshell-header-item.active {
                border-color: var(--primary-border-color-active);
                background-color: var(--primary-background-color-active);
                color: var(--primary-font-color-active);
                cursor: default;
            }

            .tabshell-container .tabshell-header .tabshell-header-item.tab-validation-error {
                border-color: var(--error-color);
                color: var(--error-color);
            }

                .tabshell-container .tabshell-header .tabshell-header-item.tab-validation-error:hover {
                    background-color: var(--error-background-color);
                }

            .tabshell-container .tabshell-header .tabshell-header-item i {
                color: inherit;
            }

            .tabshell-container .tabshell-header .tabshell-header-item .tabshell-header-close-icon {
                width: 18px;
                height: 18px;
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;
                align-items: center;
                text-align: center;
                font-size: 0.75rem;
                color: inherit;
                cursor: pointer;
            }

            .tabshell-container .tabshell-header .tabshell-header-item .tabshell-header-item-spacer {
                padding-right: 0.25rem;
            }

    .tabshell-container .tabshell-body-reference {
        position: relative;
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: unset;
        overflow: hidden;
    }

        .tabshell-container .tabshell-body-reference .tabshell-body {
            height: 100%;
        }

            .tabshell-container .tabshell-body-reference .tabshell-body:not(:has(.tab-menu-container)) {
                overflow: auto;
            }

            .tabshell-container .tabshell-body-reference .tabshell-body .tabshell-page {
                min-height: 100%;
                flex-direction: column;
            }

                .tabshell-container .tabshell-body-reference .tabshell-body .tabshell-page:has(.tab-menu-container) {
                    height: 100%;
                    overflow: hidden;
                }

.tab-menu-container {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

    .tab-menu-container .tab-menu-selection-bar {
        display: flex;
        justify-content: flex-start;
        padding: 1.25rem 1rem 0.25rem 1rem;
        gap: 0.5rem;
    }

        .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content {
            display: flex;
            justify-content: flex-start;
            gap: 0.5rem;
            flex-wrap: wrap;
        }

            .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item {
                border: 1px dashed var(--color-component-border);
                color: var(--secondary-font-color);
                background-color: var(--secondary-background-color);
                border-radius: var(--border-radius);
                transition: all 0.2s ease-in-out;
                cursor: pointer;
                text-decoration: none;
                width: fit-content;
                padding: 0.15rem 1rem;
                line-height: 26px;
                font-size: var(--font-size-small);
            }

                .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item i {
                    color: var(--color-icon-primary);
                }

                .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item:hover,
                .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item:focus {
                    border-color: var(--primary-background-color);
                    color: var(--primary-background-color);
                }

                    .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item:hover i,
                    .tab-menu-container .tab-menu-selection-bar .tab-menu-selection-bar-content .tab-menu-add-item:focus i {
                        color: var(--primary-background-color);
                    }

    .tab-menu-container .tab-menu-content-reference {
        position: relative;
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: unset;
        overflow: hidden;
    }

        .tab-menu-container .tab-menu-content-reference .tab-menu-content:not(:has(.tabshell-container.page-tabshell)) {
            overflow: auto;
        }

        .tab-menu-container .tab-menu-content-reference .tab-menu-content {
            height: 100%;
        }

            .tab-menu-container .tab-menu-content-reference .tab-menu-content .tab-content {
                min-height: 100%;
                flex-direction: column;
            }

                .tab-menu-container .tab-menu-content-reference .tab-menu-content .tab-content.hidden {
                    display: none;
                }

                .tab-menu-container .tab-menu-content-reference .tab-menu-content .tab-content.active {
                    display: block;
                }

                .tab-menu-container .tab-menu-content-reference .tab-menu-content .tab-content:has(.tabshell-container.page-tabshell) {
                    height: 100%;
                    overflow: hidden;
                }

.text-small {
    font-size: 0.85rem;
}

.text-italic {
    font-style: italic
}

.text-break-spaces {
    white-space: break-spaces;
}

.scroll-margin {
    scroll-margin-top: 150px;
}

.page-spacer {
    height: 139px !important;
}

.element-separator {
    height: 2rem;
}

.small-element-separator {
    height: 1rem;
}

.very-small-element-separator {
    height: 0.5rem;
}

.disable-user-select {
    user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}

@media (min-width: 800px) {
    .tabshell-container .tabshell-header .tabshell-header-item {
        text-align: left;
        white-space: nowrap;
    }
}

@media (max-width: 800px) {
    .form-item-split-container {
        flex-wrap: wrap;
    }
}